Subject: Re: [RFC PATCH 05/10] net: dsa: mv88e6xxx: add support for GPIO configuration

From: Andrew Lunn <[email-masked]>
Date: Sun, 4 Feb 2018 21:17:35 +0100

On Sun, Feb 04, 2018 at 11:53:58AM -0800, Florian Fainelli wrote:
> On 02/03/2018 01:40 PM, Andrew Lunn wrote:
> > From: Brandon Streiff <[email-masked]>
> > 
> > MV88E6352 and later switches support GPIO control through the "Scratch
> > & Misc" global2 register. (Older switches do too, though with a slightly
> > different register interface. Only the 6352-style is implemented here.)
> > 
> > Add a new file, global2_scratch.c, for operations in the Scratch & Misc
> > space. Additionally, add a GPIO operations structure to present an
> > abstract view over GPIO manipulation.
> > 
> > Reverse Christmas tree and unsigned has been replaced with unsigned
> > int by Andrew Lunn.
> 
> I thought one of the comments made on Brian's original submission was to
> expose GPIO pins as a proper gpiochip which incidentally might help with
> GPIOs on the switch being used for other purposes (e.g; LEDs, etc.), is
> that an option here?

Hi Florian

The gpiochip part is quite easy. The problem is pinctrl. That is much
harder, since some of the basic assumptions are not true. Any pin can
take any function.

Adding gpiochip and pinctrl is something which can be added later. We
are not defining any DT binding here, so we don't need to consider
backwards compatibility in the future.

	  Andrew